低危 Linux Kernel 2.6.32.51 udp6_ufo_fragment 拒绝服务漏洞

CVE编号

CVE-2011-4326

利用情况

暂无

补丁情况

官方补丁

披露时间

2012-05-18
漏洞描述
Linux是一款开放源代码的操作系统。linux udp6_ufo_fragment()函数中执行的headroom检查存在缺陷,远程攻击者可以利用此缺陷使系统崩溃。如果桥接设备与物理NIC连接,UDP报文通过桥接设备传送可触发此内核panic。如下条件满足时可触发此漏洞:-内核版本是RHEL6(2.6.32-71.xx.el6)-物理设备NETIF_F_HW_CSUM连接桥接设备。-桥接设备的udp-fragmentation-offload函数可用(ON)。-物理NIC中的udp-fragmentation-offload函数不可用(OFF)。-IPv6协议。-UDP数据报中的大小超过MTU。
解决建议
用户可参考如下供应商提供的安全公告获得补丁信息:http://comments.gmane.org/gmane.comp.security.oss.general/6294
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 avaya 96x1_ip_deskphone_firmware * From
(including)
6.0.0
Up to
(including)
6.6.0
运行在以下环境
系统 linux linux_kernel * Up to
(excluding)
2.6.39
运行在以下环境
系统 redhat_6 kernel * Up to
(excluding)
0:2.6.32-131.21.1.el6
运行在以下环境
系统 sles_11 brocade-bna-kmp-trace * Up to
(excluding)
2.1.0.0_2.6.32.49_0.3-0.2
运行在以下环境
系统 suse_11 brocade-bna-kmp-trace * Up to
(excluding)
2.1.0.0_2.6.32.49_0.3-0.2
运行在以下环境
系统 ubuntu_12.04.5_lts linux * Up to
(excluding)
3.1.0-1.1
运行在以下环境
系统 ubuntu_12.04_lts linux * Up to
(excluding)
3.1.0-1.1
运行在以下环境
系统 ubuntu_14.04.6_lts linux * Up to
(excluding)
3.11.0-12.19
运行在以下环境
系统 ubuntu_14.04_lts linux * Up to
(excluding)
3.11.0-12.19
运行在以下环境
硬件 avaya 96x1_ip_deskphone - -
阿里云评分
3.6
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-399 资源管理错误
阿里云安全产品覆盖情况